org.apache.pdfbox.pdmodel.interactive.digitalsignature

## Class SignatureOptions

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.digitalsignature.SignatureOptions

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class SignatureOptions
    extends Object
    implements Closeable

This contains the visual signature as a COSDocument, its preferred size and the page.

### Field Summary

Fields
`static int` `DEFAULT_SIGNATURE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SignatureOptions()` Creates the default signature options.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes the visual signature COSDocument, if any.
`int` `getPage()` Get the 0-based page number.
`int` `getPreferredSignatureSize()` Get the preferred size of the signature.
`COSDocument` `getVisualSignature()` Get the visual signature.
`void` `setPage(int pageNo)` Set the 0-based page number.
`void` `setPreferredSignatureSize(int size)` Set the preferred size of the signature.
`void` `setVisualSignature(File file)` Reads the visual signature from the given file.
`void` `setVisualSignature(InputStream is)` Reads the visual signature from the given input stream.
`void` `setVisualSignature(PDVisibleSigProperties visSignatureProperties)` Reads the visual signature from the given visual signature properties

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_SIGNATURE_SIZE

    public static final int DEFAULT_SIGNATURE_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### SignatureOptions

    public SignatureOptions()

Creates the default signature options.

### Method Detail

#### setPage

    public void setPage(int pageNo)

Set the 0-based page number.

Parameters:
  `pageNo` - the page number

#### getPage

    public int getPage()

Get the 0-based page number.

Returns:
  the page number

#### setVisualSignature

    public void setVisualSignature(File file)
                            throws IOException

Reads the visual signature from the given file.

Parameters:
  `file` - the file containing the visual signature
Throws:
  `IOException` - when something went wrong during parsing

#### setVisualSignature

    public void setVisualSignature(InputStream is)
                            throws IOException

Reads the visual signature from the given input stream.

Parameters:
  `is` - the input stream containing the visual signature
Throws:
  `IOException` - when something went wrong during parsing

#### setVisualSignature

    public void setVisualSignature(PDVisibleSigProperties visSignatureProperties)
                            throws IOException

Reads the visual signature from the given visual signature properties

Parameters:
  `visSignatureProperties` - the `PDVisibleSigProperties` object containing the visual signature
Throws:
  `IOException` - when something went wrong during parsing

#### getVisualSignature

    public COSDocument getVisualSignature()

Get the visual signature.

Returns:
  the visual signature

#### getPreferredSignatureSize

    public int getPreferredSignatureSize()

Get the preferred size of the signature.

Returns:
  the preferred size of the signature in bytes.

#### setPreferredSignatureSize

    public void setPreferredSignatureSize(int size)

Set the preferred size of the signature.

Parameters:
  `size` - the size of the signature in bytes. Only values above 0 will be considered.

#### close

    public void close()
               throws IOException

Closes the visual signature COSDocument, if any. Do not call this before you're saved your signed PDF document, or saving will fail because COSStream objects held both by the COSDocument and by the signed document would no longer be available.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException` - if the document could not be closed